#!/usr/bin/perl -w
#
# BookQueue Movable Type Plugin
# http://jacob.hesch.cc/software/mt-plugins/BookQueue/
#
# $Id: mt-bookqueue.cgi,v 1.1 2004/12/06 07:12:19 jlh Exp $
#
# Copyright 2001-2003 Six Apart. This code cannot be redistributed without
# permission from www.movabletype.org.

use strict;

my($MT_DIR);
BEGIN {
    if ($0 =~ m!(.*[/\\])!) {
        $MT_DIR = $1;
    } else {
        $MT_DIR = './';
    }
    unshift @INC, $MT_DIR . 'lib';
    unshift @INC, $MT_DIR . 'extlib';
}

eval {
    require MTPlugins::BookQueue;
    my $app = MTPlugins::BookQueue->new( Config => $MT_DIR . 'mt.cfg',
                                       Directory => $MT_DIR )
        or die MTPlugins::BookQueue->errstr;
    local $SIG{__WARN__} = sub { $app->trace($_[0]) };
    $app->run;
};
if ($@) {
    print "Content-Type: text/html\n\n";
    print "An error occurred: $@";
}
